Как печатать ошибку в Python?


Answers

модуль traceback предоставляет методы для форматирования и печати исключений и их трассировки, например, это будет печатать исключение, как это делает обработчик по умолчанию:

except: traceback.print_exc()
Question
try:
    something here
except:
    print 'the whatever error occurred.'

Как я могу напечатать ошибку в моем, except: block?




Если вы хотите передать строки ошибок, вот пример из Ошибок и Исключений (Python 2.6)

>>> try:
...    raise Exception('spam', 'eggs')
... except Exception as inst:
...    print type(inst)     # the exception instance
...    print inst.args      # arguments stored in .args
...    print inst           # __str__ allows args to printed directly
...    x, y = inst          # __getitem__ allows args to be unpacked directly
...    print 'x =', x
...    print 'y =', y
...
<type 'exceptions.Exception'>
('spam', 'eggs')
('spam', 'eggs')
x = spam
y = eggs